Skip to main content
`Ctrl`+`K`

# PetscFree5

Frees 5 chunks of memory obtained with `PetscMalloc5()`

## Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFree5(void *m1,void *m2,void *m3,void *m4,void *m5)

Not Collective

## Input Parameters

- m1 - memory to free

- m2 - 2nd memory to free

- m3 - 3rd memory to free

- m4 - 4th memory to free

- m5 - 5th memory to free

## Notes

Memory must have been obtained with `PetscMalloc5()`

The arguments need to be in the same order as they were in the call to `PetscMalloc5()`

## See Also

`PetscNew()`, `PetscMalloc()`, `PetscMalloc2()`, `PetscFree()`, `PetscMalloc3()`, `PetscMalloc4()`, `PetscMalloc5()`

## Level

developer

## Location

include/petscsys.h

## Examples

src/ts/tutorials/ex30.c
src/ksp/ksp/tutorials/ex35.cxx

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages